%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%global pear_name Horde_Test

Name:           php-horde-Horde-Test
Version:        2.1.0
Release:        1%{?dist}
Summary:        Horde testing base classes

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://pear.horde.org
Source0:        http://pear.horde.org/get/%{pear_name}-%{version}.tgz

BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(pear.horde.org)

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-common >= 5.3.0
Requires:       php-pear(pear.horde.org/Horde_Support) >= 2.0.0
Requires:       php-pear(pear.horde.org/Horde_Util) >= 2.0.0
Requires:       php-pear(pear.horde.org/Horde_Cli) >= 2.0.0
# Horde_Log is an optional dependency, commenting out for now
# until that package is approved
# Requires:       php-pear(pear.horde.org/Horde_Log) >= 2.0.0
Requires:       php-pear(pear.phpunit.de/PHPUnit) >= 3.5.0
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(pear.horde.org)
Requires:       php-pdo php-dom php-spl php-json php-pcre

Provides:       php-pear(pear.horde.org/%{pear_name}) = %{version}

%description
Horde-specific PHPUnit base classes.

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{name}.xml

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        pear.horde.org/%{pear_name} >/dev/null || :
fi


%files
%doc %{pear_docdir}/%{pear_name}

%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Test

%changelog
* Wed Dec 12 2012 Nick Bebout <nb@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0

* Mon Jun 25 2012 Nick Bebout <nb@fedoraproject.org> - 1.3.0-3
- Fix requires

* Wed Jun 20 2012 Nick Bebout <nb@fedoraproject.org> - 1.3.0-2
- Fix packaging issues

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.3.0-1
- Initial package
